package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.MscPhySampleMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_PHY_SAMPLE", namespace=MscPhySampleMapper.class)
public class MscPhySample extends BaseVO implements Serializable {

	/** 材质标准索引号 */
	@Column
	private String pic;

	/** 试样组代码 */
	@Column("PHY_CODE_M")
	private String phyCodeM;

	/** 试样组描述 */
	@Column("PHY_NAME_M")
	private String phyNameM;

	/** 取样码索引号 */
	@Column("SMP_INDEX")
	private String smpIndex;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 标准代码（试验标准） */
	@Column("STD_CODE_TEST")
	private String stdCodeTest;

	/** 标准名称（试验标准） */
	@Column("STD_NAME_TEST")
	private String stdNameTest;

	/** 项目代码_方向 */
	@Column("ITEM_CODE_D")
	private String itemCodeD;

	/** 项目代码_尺寸 */
	@Column("ITEM_CODE_S")
	private String itemCodeS;

	/** 项目代码_温度 */
	@Column("ITEM_CODE_T")
	private String itemCodeT;

	/** 试样组+方向+温度+尺寸的代码组合 */
	@Column("SAMPLE_KEY")
	private String sampleKey;

	/** 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述 */
	@Column("SAMPLE_KEY_DESC")
	private String sampleKeyDesc;

	/** 标准代码 */
	private String stdCode;
	
	/** 标准名称 */
	private String stdName;
	
	/** 取样频率 */
	private String rate;
	
	/** 取样频率描述 */
	private String descRate;
	
	/** 取样数量 */
	private Integer descCount;
	
	/** 取样位置 */
	private String position;
	
	/** 取样位置描述 */
	private String descPosition;
	
	/** 宽度下限 */
	private String minD;
	
	/** 宽度上限 */
	private String maxD;
	
	/** 适用厚度（厚度下限） */
	private String minH;
	
	/**  适用厚度（厚度上限） */
	private String maxH;
	
	/**  适用厚度（外径上限） */
	private String minHSign;
	
	/**  适用厚度（厚度上限符号） */
	private String maxHSign;
	
	/** 适用宽度（外径下限符号） */
	private String minDSign;
	
	/** 适用宽度（外径上限符号） */
	private String maxDSign;
	
	/** 每批支数 */
	private Integer batchCnt;
	
	/** 分批单位 */
	private String batchUnit;


	/**
	 * DESGIN_KEY
	 */
	private String desginKey;
	
	private Integer smpCount;
	
	public String getDesginKey() {
		return desginKey;
	}

	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	public Integer getSmpCount() {
		return smpCount;
	}

	public void setSmpCount(Integer smpCount) {
		this.smpCount = smpCount;
	}

	public String getStdCode() {
		return stdCode;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public String getStdName() {
		return stdName;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	public String getDescRate() {
		return descRate;
	}

	public void setDescRate(String descRate) {
		this.descRate = descRate;
	}

	public Integer getDescCount() {
		return descCount;
	}

	public void setDescCount(Integer descCount) {
		this.descCount = descCount;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getDescPosition() {
		return descPosition;
	}

	public void setDescPosition(String descPosition) {
		this.descPosition = descPosition;
	}

	public String getMinD() {
		return minD;
	}

	public void setMinD(String minD) {
		this.minD = minD;
	}

	public String getMaxD() {
		return maxD;
	}

	public void setMaxD(String maxD) {
		this.maxD = maxD;
	}

	public String getMinH() {
		return minH;
	}

	public void setMinH(String minH) {
		this.minH = minH;
	}

	public String getMaxH() {
		return maxH;
	}

	public void setMaxH(String maxH) {
		this.maxH = maxH;
	}

	public String getMinHSign() {
		return minHSign;
	}

	public void setMinHSign(String minHSign) {
		this.minHSign = minHSign;
	}

	public String getMaxHSign() {
		return maxHSign;
	}

	public void setMaxHSign(String maxHSign) {
		this.maxHSign = maxHSign;
	}

	public String getMinDSign() {
		return minDSign;
	}

	public void setMinDSign(String minDSign) {
		this.minDSign = minDSign;
	}

	public String getMaxDSign() {
		return maxDSign;
	}

	public void setMaxDSign(String maxDSign) {
		this.maxDSign = maxDSign;
	}

	public Integer getBatchCnt() {
		return batchCnt;
	}

	public void setBatchCnt(Integer batchCnt) {
		this.batchCnt = batchCnt;
	}

	public String getBatchUnit() {
		return batchUnit;
	}

	public void setBatchUnit(String batchUnit) {
		this.batchUnit = batchUnit;
	}

	public String getPic() {
		return this.pic;
	}

	public String getPhyCodeM() {
		return this.phyCodeM;
	}

	public String getPhyNameM() {
		return this.phyNameM;
	}

	public String getSmpIndex() {
		return this.smpIndex;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getStdCodeTest() {
		return this.stdCodeTest;
	}

	public String getStdNameTest() {
		return this.stdNameTest;
	}

	public String getItemCodeD() {
		return this.itemCodeD;
	}

	public String getItemCodeS() {
		return this.itemCodeS;
	}

	public String getItemCodeT() {
		return this.itemCodeT;
	}

	public String getSampleKey() {
		return this.sampleKey;
	}

	public String getSampleKeyDesc() {
		return this.sampleKeyDesc;
	}

	public void setPic(String pic) {
		this.pic = pic;
	}

	public void setPhyCodeM(String phyCodeM) {
		this.phyCodeM = phyCodeM;
	}

	public void setPhyNameM(String phyNameM) {
		this.phyNameM = phyNameM;
	}

	public void setSmpIndex(String smpIndex) {
		this.smpIndex = smpIndex;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setStdCodeTest(String stdCodeTest) {
		this.stdCodeTest = stdCodeTest;
	}

	public void setStdNameTest(String stdNameTest) {
		this.stdNameTest = stdNameTest;
	}

	public void setItemCodeD(String itemCodeD) {
		this.itemCodeD = itemCodeD;
	}

	public void setItemCodeS(String itemCodeS) {
		this.itemCodeS = itemCodeS;
	}

	public void setItemCodeT(String itemCodeT) {
		this.itemCodeT = itemCodeT;
	}

	public void setSampleKey(String sampleKey) {
		this.sampleKey = sampleKey;
	}

	public void setSampleKeyDesc(String sampleKeyDesc) {
		this.sampleKeyDesc = sampleKeyDesc;
	}

}
